EZ_GenerateRotationMatrix(3)

NAME
EZ_GenerateRotationMatrix - generate a rotation matrix

SYNOPSIS
#include <EZ.h>

void EZ_GenerateRotationMatrix(EZ_Matrix matrix,
   float angle, float x, float y , float z)

ARGUMENTS
matrix Specifies a matrix, a 4x4 array of floating point numbers.

angle Specifies an angle, in degrees.

x,y,z Specifies a direction.

DESCRIPTION
EZ_GenerateRotationMatrix generates the rotation matrix for the transformation: "rotate about the direction [x,y,z] angle degrees counterclockwise." It returns the resulting matrix to matrix.

SEE ALSO
EZ_Rotate(3), EZ_Scale(3), EZ_Translate(3), EZ_MultMatrix(3), EZ_LoadMatrix(3), EZ_IdentityMatrix(3), EZ_MatrixMode(3)